/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Jan-01-2012 10:09:14pm
Filepath: scripts\events and scenarios\Halloween2011\Quests\Quest Givers\Saltanna.cs
Lines of code: 79

Description: 

***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Engines.Quests
{	
	public class TheLemonPledgeQuest : BaseQuest
	{				
		public override object Title{ get{ return "The Lemon Pledge"; } }
		
		public override object Description{ get{ return "Valganna promised to teach me a new druid spell if I could bring her some lemon gumdrops.<br><br>Bring me some lemon gumdrops so that she'll teach me this new spell of hers. I can reward you with some helpful information!"; } }
		
		public override object Refuse{ get{ return "Hmmm guess I'll have to weed the spell out of her then!"; } }
		
		public override object Uncomplete{ get{ return "Check with another druid in the area. Somebody around here must know where to get lemon gumdrops"; } }
		
		public override object Complete{ get{ return "Excellent! I am sure that Valganna will teach me the spell now. Here, take this hint scroll to the location of a red frog. My raven familiar informed me of this frog and that a witch was searching for it. Perhaps bringing it back to her will yield a reward?"; } }
	
		public TheLemonPledgeQuest() : base()
		{			
			AddObjective( new ObtainObjective( typeof( LemonGumdrop ), "Lemon Gumdrop", 10, 7847, 0, 53 ) );
			
			AddReward( new BaseReward( typeof( RedFrogHintScroll ), "A hint scroll" ) );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}		
	}
	
	public class Saltanna : MondainQuester
	{
		public override Type[] Quests
		{ 
			get{ return new Type[] 
			{ 
				typeof( TheLemonPledgeQuest )
			};} 
		}
		
		[Constructable]
		public Saltanna() : base( "Saltanna", "the druid" )
		{			
			SetSkill( SkillName.Meditation, 60.0, 83.0 );
			SetSkill( SkillName.Focus, 60.0, 83.0 );
		}
		
		public Saltanna( Serial serial ) : base( serial )
		{
		}		
		
		public override void InitBody()
		{
			InitStats( 100, 100, 25 );

			Hue = 33358;

			Female = true;
			Race=Race.Elf;
			Body = 606;
		}
		
		public override void InitOutfit()
		{
			AddItem( new MaleElvenRobe( 1364 ) );
			AddItem( new Sandals() );
			AddItem( new Obi( 1191 ) );
			AddItem( new GoldBracelet() );

			HairItemID = 0x203C;

			Item staff = new GnarledStaff();
			staff.Hue = 1190;
			staff.Movable = false;
			AddItem( staff );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}